<?php

if(!empty($_POST['submit']))
{
	require 'class/PdfLabel.php';

	$text	= $_POST['text'];
	$qty	= intval($_POST['qty']);
	$skip	= intval($_POST['skip']);
	$family	= $_POST['family'];
	$size	= intval($_POST['size']);
	$format	= $_POST['format'];

	$pdf = new PdfLabel(PdfLabel::$labelFormats[$format]);
	$pdf->Open();
	$pdf->Set_Font_Size($size);
	$pdf->Set_Font_Name($family);
	$pdf->skipLabels($skip);

	for($i=0; $i<$qty; $i++)
	{
		$pdf->Add_PDF_Label($text);
	}

	$pdf->Output('labels.pdf','D');
}

$text = "Mario Rossi\n";
$text.= "via Garibaldi n.116\n";
$text.= "47900 Rimini (RN)\n";
$text.= "ITALIA";
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Label Generator</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<style type="text/css">
body{
	font-family:"trebuchet ms";
	font-size:80%;
}
h1{
	font-size:20px;
	font-weight:normal;
}
h1 a{
	color:#466A18;
}
h1 span{
	font-size:80%;
	font-weight:normal;
	margin-left:10px;
}
</style>
</head>
<body>
<h1><a href="http://blog.andreaventuri.it/php/creare-etichette-con-php/">&laquo; Label Generator</a><span>by Andrea Venturi</span></h1>

<form action="" method="post">
<table>
	<tr>
		<td>Text:</td>
		<td><textarea rows="5" cols="30" name="text"><?php echo $text?></textarea></td>
	</tr>
	<tr>
		<td>Quantity:</td>
		<td><input type="text" name="qty" value="50" size="5" /></td>
	</tr>
	<tr>
		<td>Offset:</td>
		<td><input type="text" name="skip" value="0" size="5" /></td>
	</tr>
	<tr>
		<td>Format:</td>
		<td><select name="format">
				<option value="101700">101700</option>
				<option value="101800">101800</option>
				<option value="276883">276883</option>
			</select>
		</td>
	</tr>
	<tr>
		<td>Font Family:</td>
		<td><select name="family">
				<option value="arial">arial</option>
				<option value="times">times</option>
				<option value="courier">courier</option>
			</select>
		</td>
	</tr>
	<tr>
		<td>Font Size:</td>
		<td><input type="text" name="size" value="10" size="5" /></td>
	</tr>

	<tr><td colspan="2"><input type="submit" name="submit" value="Click to Generate Labels !!!" /></td></tr>
</table>
</form>
</body>
</html>